summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-09-09 10:50:05 -0400
committer dsomero <xgizzmo@slackbuilds.org>2010-09-09 10:50:05 -0400
commitaf5e11eb18faf7af39b526b64dddac68b527cff0 (patch)
tree0b430a0042333940d63813329e412a5369988c11 /libraries
parentb87d877e13fe43863121cb9fbaa9ec92cd038cf0 (diff)
downloadslackbuilds-af5e11eb18faf7af39b526b64dddac68b527cff0.tar.gz
slackbuilds-af5e11eb18faf7af39b526b64dddac68b527cff0.tar.xz
libraries/webkitgtk: Added (GTK+ port of the WebKit)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/webkitgtk/README4
-rw-r--r--libraries/webkitgtk/slack-desc19
-rw-r--r--libraries/webkitgtk/webkitgtk.SlackBuild90
-rw-r--r--libraries/webkitgtk/webkitgtk.info10
4 files changed, 123 insertions, 0 deletions
diff --git a/libraries/webkitgtk/README b/libraries/webkitgtk/README
new file mode 100644
index 0000000000..d48b627604
--- /dev/null
+++ b/libraries/webkitgtk/README
@@ -0,0 +1,4 @@
+WebKitGTK+ is the port of the portable web rendering
+engine WebKit to the GTK+ platform.
+
+Requires icu4c and libsoup.
diff --git a/libraries/webkitgtk/slack-desc b/libraries/webkitgtk/slack-desc
new file mode 100644
index 0000000000..73d83fd748
--- /dev/null
+++ b/libraries/webkitgtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+webkitgtk: WebKitGTK+ (GTK+ port of the WebKit)
+webkitgtk:
+webkitgtk: WebKit/GTK+ is the new GTK+ port of the WebKit, an open-source web
+webkitgtk: content engine that powers numerous applications such as web
+webkitgtk: browsers, email clients, feed readers, web and text editors, and a
+webkitgtk: whole lot more.
+webkitgtk:
+webkitgtk:
+webkitgtk:
+webkitgtk: http://webkitgtk.org/
+webkitgtk:
diff --git a/libraries/webkitgtk/webkitgtk.SlackBuild b/libraries/webkitgtk/webkitgtk.SlackBuild
new file mode 100644
index 0000000000..77bea26915
--- /dev/null
+++ b/libraries/webkitgtk/webkitgtk.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+#
+# Slackware build script for WebKitGTK+
+#
+# Copyright 2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=webkitgtk
+SRCNAM=webkit
+VERSION=1.3.3
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-static \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-font-backend=pango \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/webkitgtk/webkitgtk.info b/libraries/webkitgtk/webkitgtk.info
new file mode 100644
index 0000000000..756f0e2e51
--- /dev/null
+++ b/libraries/webkitgtk/webkitgtk.info
@@ -0,0 +1,10 @@
+PRGNAM="webkitgtk"
+VERSION="1.3.3"
+HOMEPAGE="http://webkitgtk.org/"
+DOWNLOAD="http://webkitgtk.org/webkit-1.3.3.tar.gz"
+MD5SUM="22af6591b124610a8df55c7a87989349"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="dsomero"